Retrieve User Permissions
Retrieve all object and object field permissions (read, edit, create, delete) assigned to a specific user.
GET
/api/{version}/objects/users/{id}/permissionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{id} | The ID of the user. Use the value me to retrieve information for the currently authenticated user. |
Query Parameters
Section link for Query ParametersRequest
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v20.3/objects/users/61579/permissions?filter=name__v::object.product__v.object_actionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name__v": "object.product__v.object_actions",
"permissions": {
"read": true,
"edit": true,
"create": false,
"delete": false
}
}
]
}